Package org.linphone.core

# Enum Class ZrtpPeerStatus

java.lang.Object
java.lang.Enum<ZrtpPeerStatus>
org.linphone.core.ZrtpPeerStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ZrtpPeerStatus>`, `Constable`

public enum ZrtpPeerStatus extends Enum<ZrtpPeerStatus>
Enum describing the ZRTP SAS validation status of a peer URI.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Invalid`
Peer URI SAS rejected in database.
`Unknown`
Peer URI unkown or never validated/invalidated the SAS.
`Valid`
Peer URI SAS validated in database.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ZrtpPeerStatus`
`fromInt(int value)`
`protected static ZrtpPeerStatus[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(ZrtpPeerStatus[] values)`
`static ZrtpPeerStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ZrtpPeerStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Unknown

public static final ZrtpPeerStatus Unknown
Peer URI unkown or never validated/invalidated the SAS.

### Invalid

public static final ZrtpPeerStatus Invalid
Peer URI SAS rejected in database.

### Valid

public static final ZrtpPeerStatus Valid
Peer URI SAS validated in database.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ZrtpPeerStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ZrtpPeerStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ZrtpPeerStatus fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static ZrtpPeerStatus[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(ZrtpPeerStatus[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()